//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace CustomerPortal
{
    using System;
    using System.Collections.Generic;
    
    public partial class Customer
    {
        public string Company { get; set; }
        public string CustID { get; set; }
        public int CustNum { get; set; }
        public string Name { get; set; }
        public string Address1 { get; set; }
        public string Address2 { get; set; }
        public string Address3 { get; set; }
        public string City { get; set; }
        public string State { get; set; }
        public string Zip { get; set; }
        public string Country { get; set; }
        public string ResaleID { get; set; }
        public string SalesRepCode { get; set; }
        public string TerritoryID { get; set; }
        public string ShipToNum { get; set; }
        public string TermsCode { get; set; }
        public string ShipViaCode { get; set; }
        public bool PrintStatements { get; set; }
        public bool PrintLabels { get; set; }
        public bool PrintAck { get; set; }
        public bool FinCharges { get; set; }
        public bool CreditHold { get; set; }
        public string GroupCode { get; set; }
        public decimal DiscountPercent { get; set; }
        public int PrimPCon { get; set; }
        public int PrimBCon { get; set; }
        public int PrimSCon { get; set; }
        public string Comment { get; set; }
        public Nullable<System.DateTime> EstDate { get; set; }
        public string FaxNum { get; set; }
        public string PhoneNum { get; set; }
        public string TaxExempt { get; set; }
        public string MarkUpID { get; set; }
        public int BillDay { get; set; }
        public bool OneInvPerPS { get; set; }
        public string DefaultFOB { get; set; }
        public bool CreditIncludeOrders { get; set; }
        public Nullable<System.DateTime> CreditReviewDate { get; set; }
        public Nullable<System.DateTime> CreditHoldDate { get; set; }
        public string CreditHoldSource { get; set; }
        public string CreditClearUserID { get; set; }
        public Nullable<System.DateTime> CreditClearDate { get; set; }
        public string CreditClearTime { get; set; }
        public string EDICode { get; set; }
        public string CurrencyCode { get; set; }
        public int CountryNum { get; set; }
        public string LangNameID { get; set; }
        public string BorderCrossing { get; set; }
        public string FormatStr { get; set; }
        public string BTName { get; set; }
        public string BTAddress1 { get; set; }
        public string BTAddress2 { get; set; }
        public string BTAddress3 { get; set; }
        public string BTCity { get; set; }
        public string BTState { get; set; }
        public string BTZip { get; set; }
        public int BTCountryNum { get; set; }
        public string BTCountry { get; set; }
        public string BTPhoneNum { get; set; }
        public string BTFaxNum { get; set; }
        public string BTFormatStr { get; set; }
        public int ParentCustNum { get; set; }
        public string TaxRegionCode { get; set; }
        public bool ICCust { get; set; }
        public int ContBillDay { get; set; }
        public string EMailAddress { get; set; }
        public string ShippingQualifier { get; set; }
        public string AllocPriorityCode { get; set; }
        public string ReservePriorityCode { get; set; }
        public int LinkPortNum { get; set; }
        public bool WebCustomer { get; set; }
        public string CustomerType { get; set; }
        public bool NoContact { get; set; }
        public bool TerritoryLock { get; set; }
        public string CustURL { get; set; }
        public string PendingTerritoryID { get; set; }
        public string ExtID { get; set; }
        public bool ConsolidateSO { get; set; }
        public string BillFrequency { get; set; }
        public bool CreditIncludePI { get; set; }
        public bool GlobalCust { get; set; }
        public bool ICTrader { get; set; }
        public string TaxAuthorityCode { get; set; }
        public bool ExternalDeliveryNote { get; set; }
        public bool GlobalCredIncOrd { get; set; }
        public bool GlobalCredIncPI { get; set; }
        public string GlobalCurrencyCode { get; set; }
        public string ExternalID { get; set; }
        public string GlobalCreditHold { get; set; }
        public bool GlobalLock { get; set; }
        public bool CheckDuplicatePO { get; set; }
        public decimal CreditLimit { get; set; }
        public decimal CustPILimit { get; set; }
        public decimal GlobalCreditLimit { get; set; }
        public decimal GlobalPILimit { get; set; }
        public decimal DocGlobalCreditLimit { get; set; }
        public decimal DocGlobalPILimit { get; set; }
        public bool RfqAttachAllow { get; set; }
        public string DiscountQualifier { get; set; }
        public bool AllowAltBillTo { get; set; }
        public int DemandDeliveryDays { get; set; }
        public string DemandDateType { get; set; }
        public int DemandAddLeadTime { get; set; }
        public string DemandAddAction { get; set; }
        public int DemandChangeLeadTime { get; set; }
        public string DemandChangeAction { get; set; }
        public int DemandCancelLeadTime { get; set; }
        public string DemandCancelAction { get; set; }
        public int DemandNewLineLeadTime { get; set; }
        public string DemandNewLineAction { get; set; }
        public int DemandQtyChangeLeadTime { get; set; }
        public string DemandQtyChangeAction { get; set; }
        public int DemandChangeDateLeadTime { get; set; }
        public string DemandChangeDateAction { get; set; }
        public string TradingPartnerName { get; set; }
        public bool ResDelivery { get; set; }
        public bool SatDelivery { get; set; }
        public bool SatPickup { get; set; }
        public bool Hazmat { get; set; }
        public bool DocOnly { get; set; }
        public string RefNotes { get; set; }
        public bool ApplyChrg { get; set; }
        public decimal ChrgAmount { get; set; }
        public bool COD { get; set; }
        public bool CODFreight { get; set; }
        public bool CODCheck { get; set; }
        public decimal CODAmount { get; set; }
        public string GroundType { get; set; }
        public bool NotifyFlag { get; set; }
        public string NotifyEMail { get; set; }
        public bool DeclaredIns { get; set; }
        public decimal DeclaredAmt { get; set; }
        public int PeriodicityCode { get; set; }
        public bool ServSignature { get; set; }
        public bool ServAlert { get; set; }
        public bool ServHomeDel { get; set; }
        public string DeliveryType { get; set; }
        public Nullable<System.DateTime> ServDeliveryDate { get; set; }
        public string ServPhone { get; set; }
        public string ServInstruct { get; set; }
        public bool ServRelease { get; set; }
        public string ServAuthNum { get; set; }
        public string ServRef1 { get; set; }
        public string ServRef2 { get; set; }
        public string ServRef3 { get; set; }
        public string ServRef4 { get; set; }
        public string ServRef5 { get; set; }
        public int EarlyBuffer { get; set; }
        public int LateBuffer { get; set; }
        public bool DemandUnitPriceDiff { get; set; }
        public string DemandUnitPriceDiffAction { get; set; }
        public bool ExcFromVal { get; set; }
        public bool AddressVal { get; set; }
        public int RebateVendorNum { get; set; }
        public string RebateForm { get; set; }
        public bool CreditCardOrder { get; set; }
        public bool DemandCheckForPart { get; set; }
        public string DemandCheckForPartAction { get; set; }
        public string ChangedBy { get; set; }
        public Nullable<System.DateTime> ChangeDate { get; set; }
        public int ChangeTime { get; set; }
        public string ChargeCode { get; set; }
        public bool IndividualPackIDs { get; set; }
        public bool IntrntlShip { get; set; }
        public bool CertOfOrigin { get; set; }
        public bool CommercialInvoice { get; set; }
        public bool ShipExprtDeclartn { get; set; }
        public bool LetterOfInstr { get; set; }
        public string FFID { get; set; }
        public string FFCompName { get; set; }
        public string FFAddress1 { get; set; }
        public string FFAddress2 { get; set; }
        public string FFAddress3 { get; set; }
        public string FFCity { get; set; }
        public string FFState { get; set; }
        public string FFZip { get; set; }
        public string FFCountry { get; set; }
        public int FFCountryNum { get; set; }
        public string FFPhoneNum { get; set; }
        public bool NonStdPkg { get; set; }
        public int DeliveryConf { get; set; }
        public bool AddlHdlgFlag { get; set; }
        public bool UPSQuantumView { get; set; }
        public string UPSQVShipFromName { get; set; }
        public string UPSQVMemo { get; set; }
        public string UPSQVEmailType { get; set; }
        public string FFContact { get; set; }
        public bool ETCAddrChg { get; set; }
        public int TaxRoundRule { get; set; }
        public string TaxMethod { get; set; }
        public bool ValidPayer { get; set; }
        public bool ValidSoldTo { get; set; }
        public bool ValidShipTo { get; set; }
        public bool OverrideRlsClass { get; set; }
        public bool AcrossNatAcc { get; set; }
        public bool NAParentCreditIsUsed { get; set; }
        public bool NACreditIsShare { get; set; }
        public string NACreditPreferenceList { get; set; }
        public decimal NAParentCreditPrc { get; set; }
        public decimal NACreditSharedPrc { get; set; }
        public bool AllowOTS { get; set; }
        public bool ThirdPLCust { get; set; }
        public string ManagedVendID { get; set; }
        public int ManagedVendNum { get; set; }
        public string NARlsClassCode { get; set; }
        public bool DirectDebiting { get; set; }
        public string ReminderCode { get; set; }
        public bool GlbNAParentCreditIsUsed { get; set; }
        public bool GlbNACreditIsShare { get; set; }
        public decimal GlbNAParentCreditPrc { get; set; }
        public decimal GlbNACreditSharedPrc { get; set; }
        public bool AllowShipTo3 { get; set; }
        public string OTSSaveAs { get; set; }
        public string CustPartOpts { get; set; }
        public bool HasBank { get; set; }
        public int PMUID { get; set; }
        public bool DemandCheckForRev { get; set; }
        public bool OrderHoldForReview { get; set; }
        public string DemandCheckForRevAction { get; set; }
        public string ShipToTerrList { get; set; }
        public string AcctRefNumber { get; set; }
        public string LegalName { get; set; }
        public string TaxRegReason { get; set; }
        public bool InvPerPackLine { get; set; }
        public string OrgRegCode { get; set; }
        public bool DemandCloseRejSkd { get; set; }
        public string OurBankCode { get; set; }
        public bool DemandCloseNoMatch { get; set; }
        public bool DmdCheckPartialShip { get; set; }
        public string DmdCheckShipAction { get; set; }
        public bool DemandCheckCUMM { get; set; }
        public string DemandCheckCUMMAction { get; set; }
        public string DemandPricing { get; set; }
        public decimal PriceTolerance { get; set; }
        public string PreferredBank { get; set; }
        public bool CheckDateCapPromise { get; set; }
        public bool CheckConfirmCapPromise { get; set; }
        public bool CheckUpdateCapPromise { get; set; }
        public string DemandCapPromiseDate { get; set; }
        public string DemandCapPromiseAction { get; set; }
        public string DemandCapPromiseUpdate { get; set; }
        public bool PeriodicBilling { get; set; }
        public string DueDateCriteria { get; set; }
        public int PBTerms { get; set; }
        public bool ERSOrder { get; set; }
        public bool DemandSplitSched { get; set; }
        public bool OTSmartString { get; set; }
        public bool DeferredRev { get; set; }
        public string RACode { get; set; }
        public bool DemandCheckConfig { get; set; }
        public string DemandCheckCfgAction { get; set; }
        public bool AllowAsAltRemitTo { get; set; }
        public string FederalID { get; set; }
        public string WIApplication { get; set; }
        public string WICustomer { get; set; }
        public bool WIShippingCosts { get; set; }
        public bool LOQBookPCFinishing { get; set; }
        public bool LOQBookPCPaper { get; set; }
        public bool LOQBookPCPress { get; set; }
        public bool LOQBookPCPlates { get; set; }
        public bool Variations { get; set; }
        public decimal OversPct { get; set; }
        public decimal UndersPct { get; set; }
        public string DefaultLOQstyle { get; set; }
        public string DefaultOrderAcknowledgement { get; set; }
        public string DefaultPackSlip { get; set; }
        public string DefaultOversPricing { get; set; }
        public string LOQPrepressStyle { get; set; }
        public string CSR { get; set; }
        public bool LOQBookCaFinishing { get; set; }
        public bool LOQBookCapaper { get; set; }
        public bool LOQBookCaPress { get; set; }
        public bool LOQBookCatPlates { get; set; }
        public bool LOQVariations { get; set; }
        public string DefaultInvoicestyle { get; set; }
        public string AEPLOQType { get; set; }
        public string BusinessCust { get; set; }
        public byte[] SysRevID { get; set; }
        public System.Guid SysRowID { get; set; }
        public string THBranchID { get; set; }
        public string CustPricingSchema { get; set; }
        public string ParamCode { get; set; }
        public string AGAFIPResponsibilityCode { get; set; }
        public string AGBillToProvinceCode { get; set; }
        public string AGGrossIncomeTaxID { get; set; }
        public string AGIDDocTypeCode { get; set; }
        public string AGIDDocumentNumber { get; set; }
        public string AGProvinceCode { get; set; }
        public bool AGUseGoodDefaultMark { get; set; }
        public bool Collections { get; set; }
        public Nullable<System.DateTime> CollectionsDate { get; set; }
        public Nullable<System.DateTime> DateCollectionPosted { get; set; }
        public string MXMunicipio { get; set; }
        public string PEIdentityDocType { get; set; }
        public string PEDocumentID { get; set; }
        public bool PEGoodsContributor { get; set; }
        public bool PEWithholdAgent { get; set; }
        public bool PECollectionAgent { get; set; }
        public bool PENotFound { get; set; }
        public bool PENoAddress { get; set; }
        public string EntityUseCode { get; set; }
        public bool InvcOrderCmpDflt { get; set; }
        public bool EInvoice { get; set; }
        public string RegistrationCode { get; set; }
        public string EAddress { get; set; }
        public bool DemandCheckForRunOutPart { get; set; }
        public string DemandCheckForRunOutPartAction { get; set; }
        public string EInvCompanyIDAttr { get; set; }
        public string INCSTNumber { get; set; }
        public string INPANNumber { get; set; }
        public string COOneTimeID { get; set; }
        public bool COIsOneTimeCust { get; set; }
        public string DEOrgType { get; set; }
        public string PEGuaranteeName { get; set; }
        public string PEGuaranteeAddress1 { get; set; }
        public string PEGuaranteeAddress2 { get; set; }
        public string PEGuaranteeAddress3 { get; set; }
        public string PEGuaranteeCity { get; set; }
        public string PEGuaranteeState { get; set; }
        public string PEGuaranteeZip { get; set; }
        public string PEGuaranteeCountry { get; set; }
        public string PEGuaranteePhoneNum { get; set; }
        public string PEGuaranteeTaxID { get; set; }
        public string OurSupplierCode { get; set; }
        public string ECCType { get; set; }
        public string MYIndustryCode { get; set; }
        public bool SyncToExternalCRM { get; set; }
        public string ExternalCRMCustomerID { get; set; }
        public string ExternalCRMCustomerType { get; set; }
        public Nullable<System.DateTime> ExternalCRMLastSync { get; set; }
        public bool ExternalCRMSyncRequired { get; set; }
        public string Ownership { get; set; }
        public string Industry { get; set; }
        public decimal AnnualRevenue { get; set; }
        public int NumberOfEmployees { get; set; }
        public string TickerLocation { get; set; }
        public string TickerSymbol { get; set; }
        public string Rating { get; set; }
        public string TWGUIRegNum { get; set; }
        public string MXAccountNumber { get; set; }
        public bool ConsolidateLinesPerPart { get; set; }
        public int TWTaxPayerType { get; set; }
        public string TWDeductGUIFormatCode { get; set; }
        public string MXCURP { get; set; }
        public string PEAddressID { get; set; }
        public string PEPerceptionRegime { get; set; }
        public string TaxEntityType { get; set; }
        public int INGSTComplianceRate { get; set; }
        public string INTaxRegistrationID { get; set; }
        public string MXPurchaseType { get; set; }
        public bool SendToFSA { get; set; }
        public bool MXGeneralPublic { get; set; }
        public bool AgingCreditHold { get; set; }
        public Nullable<System.DateTime> AgingCreditHoldDate { get; set; }
        public string AgingCreditHoldSource { get; set; }
        public string AgingCreditClearUserID { get; set; }
        public Nullable<System.DateTime> AgingCreditClearDate { get; set; }
        public string AgingCreditCode { get; set; }
        public bool ImporterOfRecord { get; set; }
        public string SEC { get; set; }
        public string EInvEndpointIDAttr { get; set; }
        public bool UseBlindShipping { get; set; }
        public bool ELIEinvoice { get; set; }
        public string ELIDefReportID { get; set; }
        public int ELIDefStyleNum { get; set; }
        public string ELIDefToMail { get; set; }
        public string ELIDefCCMail { get; set; }
        public string ELIDefMailTempID { get; set; }
        public bool ELISendMail { get; set; }
        public string COFiscalResp1 { get; set; }
        public string COFiscalResp2 { get; set; }
        public string COFiscalResp3 { get; set; }
        public string COOperType { get; set; }
        public bool CentralCollection { get; set; }
        public int NettingVendorNum { get; set; }
        public string EORINumber { get; set; }
        public bool AGIsElectronicCreditInvEligible { get; set; }
        public int TaxValidationStatus { get; set; }
        public Nullable<System.DateTime> TaxValidationDate { get; set; }
    }
}
